SET ROLE :db_adm;
BEGIN;
-- Log the update
INSERT INTO db_history (beschreibung, zeitpunkt) 
	VALUES ('update_1_0_2/07_incm_view.sql', current_timestamp);

CREATE OR REPLACE  VIEW master_tbl_incm_view AS
    SELECT * FROM master_tbl_view
        WHERE
            bereich_berufliche_qualifizierung = 1 OR
            bereich_berufsvorbereitung = 1 OR
            bildender_bereich = 1 OR
            bereich_lebensbewaeltigung = 1 OR
            sonstiger_foerderbedarf = 1;

GRANT SELECT ON public.master_tbl_incm_view TO :cm_ka_group;
GRANT SELECT ON public.master_tbl_incm_view TO :admin_ka_group;
COMMIT;
