BEGIN;

SET ROLE :db_adm;

INSERT INTO db_history (beschreibung, zeitpunkt)
       VALUES ('update_1_5_6/05-status_bei_eintritt.sql', current_timestamp);

-- Status bei Eintritt 
ALTER TABLE bei_eintritt_ist_der_jugendliche_tbl ALTER value TYPE VARCHAR(73);

-- Umbenennen bestehender Einträge
UPDATE bei_eintritt_ist_der_jugendliche_tbl set value = 'Alteintrag "in der Schule"' where id = 0;
UPDATE bei_eintritt_ist_der_jugendliche_tbl set value = 'Alteintrag "in der Ausbildung"' where id = 1;
UPDATE bei_eintritt_ist_der_jugendliche_tbl set value = 'Alteintrag "in Arbeit"' where id = 2;
UPDATE bei_eintritt_ist_der_jugendliche_tbl set value = 'arbeitslos (gemeldet)' where id = 3;
UPDATE bei_eintritt_ist_der_jugendliche_tbl set value = 'Erziehungszeit' where id = 4;
UPDATE bei_eintritt_ist_der_jugendliche_tbl set value = 'sonstige Maßnahme (z.B. EQJ)' where id = 5;
UPDATE bei_eintritt_ist_der_jugendliche_tbl set value = 'Selbstständig / freiberuflich' where id = 6;

-- Erstellen neuer Einträge
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (7, 'andere Schule (z.B. Berufsfachschule)');
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (8, 'schulische Berufsausbildung');
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (9, 'geförderte Berufsausbildung (BaE)');
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (10, 'berufsvorbereitende Bildungsmaßnahmen: z.B. BvB (Bund), BVJ/BGJ (Länder)');
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (11, 'kein Status (z.B. Ausbildungsplatz suchend, nicht arbeitslos gemeldet)');
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (12, 'Vollzeit');
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (13, 'Teilzeit');
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (14, 'Geringfügig beschäftigt');
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (15, 'allgemeinbildende Schule'); 
INSERT INTO bei_eintritt_ist_der_jugendliche_tbl (id, value) VALUES (16, 'duale Berufsausbildung (auch Verbundausbildung)'); 
COMMIT;
